Loading...
Searching...
No Matches
Ogre::CustomCompositionPass Class Referenceabstract
Core » Effects

Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes. More...

`#include <OgreCustomCompositionPass.h>`

## Public Member Functions

virtual CompositorInstance::RenderSystemOperation * | createOperation (CompositorInstance *instance, const CompositionPass *pass)=0
| Create a custom composition operation.

## Detailed Description

Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes.

See also
  CompositorManager::registerCustomCompositionPass

## Member Function Documentation

## createOperation()

virtual CompositorInstance::RenderSystemOperation * Ogre::CustomCompositionPass::createOperation | ( | CompositorInstance * | instance,
|  | const CompositionPass * | pass )

pure virtual

Create a custom composition operation.

Parameters

  pass | The CompositionPass that triggered the request
  instance | The compositor instance that this operation will be performed in This call only happens once during creation. The RenderSystemOperation will get called each render.

The documentation for this class was generated from the following file:

- OgreCustomCompositionPass.h